## percona-postgresql-14 14.4

=== debian/changelog ===
percona-postgresql-14 (14.4-3) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.4-3

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 23 Jun 2022 06:55:02 -0400

percona-postgresql-14 (14.4) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 23 Jun 2022 06:55:02 -0400
