## percona-postgresql-14 14.5

=== debian/changelog ===
percona-postgresql-14 (14.5-3) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.5-3

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 30 Aug 2022 14:19:02 -0400

percona-postgresql-14 (14.5) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 30 Aug 2022 14:19:02 -0400
