## percona-postgresql-14 14.6

=== debian/changelog ===
percona-postgresql-14 (14.6-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.6-1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 22 Nov 2022 04:50:39 -0500

percona-postgresql-14 (14.6) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 22 Nov 2022 04:50:39 -0500
