## percona-postgresql-14 14.8

=== debian/changelog ===
percona-postgresql-14 (14.8-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.8-1

 -- root <root@ab84da121549>  Mon, 19 Jun 2023 11:11:42 -0400

percona-postgresql-14 (14.8) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 19 Jun 2023 11:11:42 -0400
