=== debian/control ===
--- 
+++ 
@@ -144,7 +144,7 @@
  tzdata,
  ${misc:Depends},
  ${shlibs:Depends}
-Provides: percona-postgresql-contrib-14, postgresql-contrib-14, postgresql-14
+Provides: percona-postgresql-contrib-14, postgresql-contrib-14 (= ${binary:Version}), postgresql-14 (= ${binary:Version})
 Recommends: sysstat
 Description: The World's Most Advanced Open Source Relational Database
  PostgreSQL, also known as Postgres, is a free and open-source relational
@@ -168,9 +168,9 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests: percona-postgresql-14, percona-postgresql-doc-14
-Provides: percona-postgresql-client, postgresql-client, postgresql-client-14
-Conflicts: postgresql-server-dev-14 (<< 14.6-1~)
-Replaces: postgresql-server-dev-14 (<< 14.6-1~)
+Provides: percona-postgresql-client, postgresql-client (= ${binary:Version}), postgresql-client-14 (= ${binary:Version})
+Conflicts: postgresql-server-dev-14 (<< 14.8-1~)
+Replaces: postgresql-server-dev-14 (<< 14.8-1~)
 Description: front-end programs for PostgreSQL 14
  This package contains client and administrative programs for
  PostgreSQL: these are the interactive terminal client psql and
