## percona-postgresql-14 14.9

=== debian/changelog ===
percona-postgresql-14 (14.9-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.9-1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 17 Aug 2023 01:36:21 -0400

percona-postgresql-14 (14.9) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 17 Aug 2023 01:36:21 -0400
