## percona-postgresql-14 14.10

=== debian/changelog ===
percona-postgresql-14 (14.10-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.10-1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Fri, 24 Nov 2023 02:50:22 -0500

percona-postgresql-14 (14.10) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 24 Nov 2023 02:50:22 -0500
