## percona-postgresql-14 14.11

=== debian/changelog ===
percona-postgresql-14 (14.11-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.11-1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 22 Feb 2024 10:41:53 -0500

percona-postgresql-14 (14.11) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 22 Feb 2024 10:41:52 -0500
