## percona-postgresql-14 14.13

=== debian/changelog ===
percona-postgresql-14 (14.13-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.13-1

 -- root <root@f951a2481106>  Fri, 30 Aug 2024 02:22:39 -0400

percona-postgresql-14 (14.13) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 30 Aug 2024 02:22:39 -0400
