=== debian/control ===
--- 
+++ 
@@ -142,6 +142,7 @@
  percona-postgresql-common (>= 182~),
  ssl-cert,
  tzdata,
+ percona-pg-telemetry14,
  ${misc:Depends},
  ${shlibs:Depends}
 Provides: percona-postgresql-contrib-14, postgresql-contrib-14 (= ${binary:Version}), postgresql-14 (= ${binary:Version})
@@ -169,8 +170,8 @@
  ${shlibs:Depends}
 Suggests: percona-postgresql-14, percona-postgresql-doc-14
 Provides: percona-postgresql-client, postgresql-client (= ${binary:Version}), postgresql-client-14 (= ${binary:Version})
-Conflicts: postgresql-server-dev-14 (<< 14.11-1~)
-Replaces: postgresql-server-dev-14 (<< 14.11-1~)
+Conflicts: postgresql-server-dev-14 (<< 14.13-1~)
+Replaces: postgresql-server-dev-14 (<< 14.13-1~)
 Description: front-end programs for PostgreSQL 14
  This package contains client and administrative programs for
  PostgreSQL: these are the interactive terminal client psql and
