## percona-postgresql-14 14.15

=== debian/changelog ===
percona-postgresql-14 (14.15-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.15-1

 -- root <root@d0e20274890a>  Tue, 26 Nov 2024 07:43:46 -0500

percona-postgresql-14 (14.15) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 26 Nov 2024 07:43:46 -0500
