## percona-postgresql-14 14.17

=== debian/changelog ===
percona-postgresql-14 (14.17-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.17-1

 -- root <root@fe3f0cc5cf08>  Wed, 19 Feb 2025 07:05:46 -0500

percona-postgresql-14 (14.17) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 19 Feb 2025 07:05:46 -0500
