## percona-postgresql-14 14.18

=== rpm/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 ARCH=`rpm --eval "%{_arch}"`
 DIR=`pwd`
-DIST=.f42
+DIST=.f99
 SPECFILE="postgresql-14.spec"
 
 # Now, include global Makefile
