=== debian/changelog ===
percona-postgresql-14 (14.18-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.18-1

 -- root <root@b5cd16d3426e>  Fri, 16 May 2025 05:53:17 -0400

percona-postgresql-14 (14.18) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 16 May 2025 05:53:17 -0400
