## percona-postgresql-14 14.19

=== debian/changelog ===
percona-postgresql-14 (14.19-1) unstable; urgency=medium

  * Update to new Percona Platform for PostgreSQL version 14.19-1

 -- root <root@338e97ec6137>  Tue, 02 Sep 2025 11:29:35 -0400

percona-postgresql-14 (14.19) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 02 Sep 2025 11:29:35 -0400
